org.apache.commons.net.ftp

## Class FTPSSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - org.apache.commons.net.ftp.FTPSSocketFactory

-     public class FTPSSocketFactory
      extends SocketFactory

  Socket factory for FTPS connections.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPSSocketFactory(SSLContext context)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket()`
    `Socket` | `createSocket(InetAddress address, int port)`
    `Socket` | `createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
    `Socket` | `createSocket(String address, int port)`
    `Socket` | `createSocket(String address, int port, InetAddress localAddress, int localPort)`

    - ### Methods inherited from class javax.net.SocketFactory

      `getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FTPSSocketFactory

          public FTPSSocketFactory(SSLContext context)

      Constructs a new instance.
      Parameters:
        `context` - The SSL context.

  - ### Method Detail

    - #### createSocket

          public Socket createSocket()
                              throws IOException

      Overrides:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress address,
                                     int port)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress address,
                                     int port,
                                     InetAddress localAddress,
                                     int localPort)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(String address,
                                     int port)
                              throws UnknownHostException,
                                     IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `UnknownHostException`
        `IOException`

    - #### createSocket

          public Socket createSocket(String address,
                                     int port,
                                     InetAddress localAddress,
                                     int localPort)
                              throws UnknownHostException,
                                     IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `UnknownHostException`
        `IOException`